sata_link_init_spd
Prev | Chapter 5. libata Core Internals | Next

## Name

sata_link_init_spd — Initialize link->sata_spd_limit

## Synopsis

`int sata_link_init_spd (` | struct ata_link * | link`)`;

## Arguments

`link`

  Link to configure sata_spd_limit for

## Description

Initialize `link`->[hw_]sata_spd_limit to the currently configured value.

## LOCKING

Kernel thread context (may sleep).

## RETURNS

0 on success, -errno on failure.

Prev | Up | Next
ata_link_init | Home | ata_port_alloc